Column: Scripting Interfaces
Adding a User Interface to Your RBScript
by Marc Zeedar

At a Glance
RSD#: 00000
Target Reader: Beginner
Source Code: Yes
Supported Platforms: Mac OS X
About the Author: Marc taught himself programming in high school when he bought his first computer but had no money for software. He's had fun learning ever since.


As you probably know, RBScript is one of my favorite features of Real Studio. I have been using it more and more as it really makes my applications so much more powerful. It's a great way to externalize code so I don't have to recompile my entire project just to make a tiny change.

One key limitation of RBScripts is that they don't have a user interface. For many uses of RBScript that's not a problem -- the script simply does the processing on data established from the main program. However, what if a script needs to ask the user a question?

I recently decided to enhance my "filename cleaner" app I created as part of my "Scripting for Fun and Profit" article in _RSD_ 7.1. You'll remember that that app is a simple filename renamer app that gets its instructions -- how it renames -- via external RBScripts, making it easy to customize for any need.

When I had a bunch of filenames with the same text in them which I wanted changed, I could have simply written a custom script to make that change. But what about the next time I had a similar situation? I'd have to edit my script every time I wanted to do a "find-replace" type rename. It would work far better if my script could ask for input and allow me, at runtime, to put in the old and new text for the filename.

But since RBScript can't throw up a dialog box, how would I make this happen?


